View Issue Details

IDProjectCategoryView StatusLast Update
0001992Ham Radio DeluxeBugpublic2017-05-24 21:52
ReporterWA9PIE 
Assigned ToERIK 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.638 
Summary0001992: When connecting to VE7CC-1, HRD Logbook is not sending the "sh/dx" or "sh/mydx" commands in the connect script
DescriptionWhen connecting to VE7CC-1, HRD Logbook is not sending the "sh/dx" or "sh/mydx" commands in the connect script... sorry to re-type the summary, but there's not much more to say about this.

VE7CC-1 is the most popular DX cluster in the world. It has more simultaneous connections than any other and passes more spots than any other. As such, this is significant. Several users have reported this and I refer them (generally) to WA9PIE-2.
Steps To ReproduceOpen Logbook
In DX Cluster Options... make sure that the number of spots selected upon Connection is greater than zero
Connect to VE7CC-1
Observe that no spots re received upon connection
Open the Console and view the text of the connection; observe that "sh/dx" or "sh/mydx"
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing

Relationships

Activities

WA9PIE

2017-03-08 14:30

administrator   ~0003126

Email conversation with Erik:

cluster cmds
Inbox
x

Erik H Gawtry <egawtry@timewave.com>
2:16 PM (14 minutes ago)

to me, Randall, Rick
CCCluster:
 
set/name XXXXX
set/qth XXXXX
set/qra XXXX
set/homemode XXXXX
unset/echo
 
set/prompt %M>
set/ve7cc
sh/filter
set/wcy
set/wwv
sh/dx ##### -or- sh/mydx ##### // Note: just added
echo #announce#
sh/ann #####
echo #wcy#
sh/wcy #####
echo #wwv#
sh/wwv #####
echo #ready#
 
 
DXSpider:
 
set/name XXXXX
set/qth XXXXX
set/qra XXXX
set/homemode XXXXX
unset/echo
 
set/prompt %M>
set/ve7cc
sh/filter
set/wcy
set/wwv
set/page 9999
echo #init#
// Note: sh/dx commented out
echo #announce#
sh/ann #####
echo #wcy#
sh/wcy #####
echo #wwv#
sh/wwv #####
echo #ready#
 

Dr. Michael Carper, WA9PIE <mike@hrdsoftwarellc.com>
2:28 PM (1 minute ago)

to Erik, Randall, Rick
Ok, after looking at it... here's what I think should happen.

Both DXSpider and CCCluster should honor the same option to choose from "sh/dx" or "sh/mydx"... with "sh/mydx" as the default for new installs (when there is no filter, "sh/mydx" renders the same result as "sh/dx").

In CCCluster, in the line above where you put the "sh/dx" or "sh/mydx" commands, add a line that says "echo #sh/dx#" (there's no need to try to determine if it's sh/mydx or sh/dx just to echo this to the screen... it really doesn't matter).

In DXSpider, the "sh/dx" being commented out? It should send whatever command that is selected in the DX Cluster Options, Selection tab.

This will make a lot of people really happy. I'm not sure why we took it out... but we've had a steady stream of complaints to which... I thought were user filter related.

Mike, WA9PIE

WA9PIE

2017-03-08 19:00

administrator   ~0003127

This fix went in in the 637 build.

(Somehow, the code was commented out.)

Issue History

Date Modified Username Field Change
2017-03-08 09:26 WA9PIE New Issue
2017-03-08 10:42 WA9PIE Status new => assigned
2017-03-08 10:42 WA9PIE Assigned To => ERIK
2017-03-08 14:30 WA9PIE Note Added: 0003126
2017-03-08 19:00 WA9PIE Note Added: 0003127
2017-03-08 19:00 WA9PIE Status assigned => closed
2017-03-08 19:01 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-21 22:42 WA9PIE Resolution open => fixed
2017-05-24 21:52 WA9PIE Fixed in Version => 6.4.0.638